# azure.mgmt.msi.operations module

class `azure.mgmt.msi.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of API to invoke. Constant value: “2018-11-30”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists available operations for the Microsoft.ManagedIdentity provider.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.msi.models' from '/usr/lib/python3/dist-packages/azure/mgmt/msi/models/__init__.py'>

class `azure.mgmt.msi.operations.``UserAssignedIdentitiesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  UserAssignedIdentitiesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of API to invoke. Constant value: “2018-11-30”.

  `create_or_update`(resource_group_name, resource_name, location=None, tags=None, custom_headers=None, raw=False, **operation_config)

    Create or update an identity in the specified subscription and resource group.

    Parameters:

    - resource_group_name (str) – The name of the Resource Group to which the identity belongs.
    - resource_name (str) – The name of the identity resource.
    - location (str) – The Azure region where the identity lives.
    - tags (dict[str, str]) – Resource tags
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Identity or ClientRawResponse if raw=true
    Return type: | Identity or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, resource_name, custom_headers=None, raw=False, **operation_config)

    Deletes the identity.

    Parameters:

    - resource_group_name (str) – The name of the Resource Group to which the identity belongs.
    - resource_name (str) – The name of the identity resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, resource_name, custom_headers=None, raw=False, **operation_config)

    Gets the identity.

    Parameters:

    - resource_group_name (str) – The name of the Resource Group to which the identity belongs.
    - resource_name (str) – The name of the identity resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Identity or ClientRawResponse if raw=true
    Return type: | Identity or ClientRawResponse
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all the userAssignedIdentities available under the specified ResourceGroup.

    Parameters:

    - resource_group_name (str) – The name of the Resource Group to which the identity belongs.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Identity
    Return type: | IdentityPaged[Identity]
    Raises: | `CloudError`

  `list_by_subscription`(custom_headers=None, raw=False, **operation_config)

    Lists all the userAssignedIdentities available under the specified subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Identity
    Return type: | IdentityPaged[Identity]
    Raises: | `CloudError`

  `update`(resource_group_name, resource_name, location=None, tags=None, custom_headers=None, raw=False, **operation_config)

    Update an identity in the specified subscription and resource group.

    Parameters:

    - resource_group_name (str) – The name of the Resource Group to which the identity belongs.
    - resource_name (str) – The name of the identity resource.
    - location (str) – The Azure region where the identity lives.
    - tags (dict[str, str]) – Resource tags
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Identity or ClientRawResponse if raw=true
    Return type: | Identity or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.msi.models' from '/usr/lib/python3/dist-packages/azure/mgmt/msi/models/__init__.py'>